farextract(1)

NAME
farextract - extract FSTs from a finite-state archive

SYNOPSIS
farextract [OPTIONS] [in1.far in2.far...]

DESCRIPTION

Extracts FSTs from a finite-state archive.

OPTIONS

Boolean options accept either true or false as a value, or the implicit value true if neither value is specified.

--filename_prefix=STRING
    Set the prefix to prepend to filenames. Default: no prefix.

--filename_suffix=STRING
    Set the suffix to append to filenames. Default: no suffix.

--fst_align[=BOOLEAN]
    Write FST data aligned where appropriate. Default: false.

--fst_compat_symbols[=BOOLEAN]
    Require symbol tables to match when appropriate. Default: true.

--fst_default_cache_gc[=BOOLEAN]
    Enable garbage collection of cache. Default: true.

--fst_default_cache_gc_limit=N
    Set the cache byte size that triggers garbage collection. Default: 1048576.

--fst_error_fatal[=BOOLEAN]
    If true, FST errors are fatal. Otherwise, returned objects are flagged as bad. For example, FSTs are returned with the kError property set to true, and FST weights set so that Member() returns false. Default: true.

--fst_field_separator=STRING
    Set the characters used as a separator between printed fields. Default:
    "     ".

--fst_read_mode=STRING
    Set the default file reading mode for mappable files, either "read" or "map". Default: "read".

--fst_verify_properties[=BOOLEAN]
    Verify fst properties queried by TestProperties. Default: false.

--fst_weight_parentheses=STRING
    Set the characters enclosing the first weight of a printed composite weight (e.g., pair weight, tuple weight, and derived classes) to ensure proper I/O of nested composite weights. Must have size 0 (none) or 2 (open and close parenthesis). Default: no parentheses.

--fst_weight_separator=CHARACTER
    Set the character separator between printed composite weights. Default: comma.

--generate_filenames=N
    Generate N digit numeric filenames. Default: use keys.

--help[=BOOLEAN]
    Show usage information. Default: false.

--helpshort[=BOOLEAN]
    Show brief usage information. Default: false.

--keys=KEYS
    Extract a set of keys. Ranges of keys are separated by --range-delimiter. Distinct groups of keys are separated by --key-separator.

--key-separator=CHARACTER
    Set the character separator between groups of keys. Default: comma.

--range-delimiter=CHARACTER
    Set the character separator between the start and end keys of a range. Default: hyphen.

--save_relabel_ipairs=FILENAME
    Save input relabel pairs to file. Default: do not save.

--save_relabel_opairs=FILENAME
    Save output relabel pairs to file. Default: do not save.

--tmpdir=PATHNAME
    Set the temporary directory to use. Default: /tmp.

--v[=N]
    Set the verbosity level. Default: 0.

SEE ALSO

farcompilestrings(1), farcreate(1), farequal(1), farinfo(1), farisomorphic(1), farprintstrings(1)